Bug 630227 - (ghc-convertible-text) Review Request: ghc-convertible-text - Typeclasses and instances for converting between types
Review Request: ghc-convertible-text - Typeclasses and instances for converti...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 619991 630224
Blocks: ghc-data-object-json
  Show dependency treegraph
 
Reported: 2010-09-04 02:10 EDT by Ben Boeckel
Modified: 2012-07-20 22:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 22:01:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 02:10:06 EDT
Spec URL: http://benboeckel.net/packaging/ghc-convertible-text/ghc-convertible-text.spec
SRPM URL: http://benboeckel.net/packaging/ghc-convertible-text/ghc-convertible-text-0.3.0.3-1.fc14.src.rpm
Description:
This is a port of John Goerzen's convertible package,
intended to distinguish between conversions which are
guaranteed to succeed and those which might fail. It uses the
attempt package, which in turn uses the failure package, so
that this package is fully compatible with the failure
framework.

% lintmock fedora-14-x86_64-bb
ghc-convertible-text.src: W: spelling-error Summary(en_US) Typeclasses -> Type classes, Type-classes, Superclasses
ghc-convertible-text.src: W: strange-permission ghc-convertible-text.spec 0640L
ghc-convertible-text.src: W: strange-permission convertible-text-0.3.0.3.tar.gz 0640L
ghc-convertible-text.x86_64: W: spelling-error Summary(en_US) Typeclasses -> Type classes, Type-classes, Superclasses
ghc-convertible-text-devel.x86_64: W: spelling-error Summary(en_US) Typeclasses -> Type classes, Type-classes, Superclasses
ghc-convertible-text-prof.x86_64: E: devel-dependency ghc-convertible-text-devel
ghc-convertible-text-prof.x86_64: W: no-documentation
ghc-convertible-text-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/convertible-text-0.3.0.3/libHSconvertible-text-0.3.0.3_p.a
4 packages and 0 specfiles checked; 1 errors, 7 warnings.
Comment 1 Ben Boeckel 2010-10-30 17:33:49 EDT
Spec URL: http://benboeckel.net/packaging/ghc-convertible-text/ghc-convertible-text.spec
SRPM URL: http://benboeckel.net/packaging/ghc-convertible-text/ghc-convertible-text-0.3.0.6-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-convertible-text.src: W: spelling-error Summary(en_US) Typeclasses -> Type classes, Type-classes, Superclasses
ghc-convertible-text.src: W: strange-permission ghc-convertible-text.spec 0640L
ghc-convertible-text.src: W: strange-permission convertible-text-0.3.0.6.tar.gz 0640L
ghc-convertible-text.x86_64: W: spelling-error Summary(en_US) Typeclasses -> Type classes, Type-classes, Superclasses
ghc-convertible-text-devel.x86_64: W: spelling-error Summary(en_US) Typeclasses -> Type classes, Type-classes, Superclasses
ghc-convertible-text-prof.x86_64: E: devel-dependency ghc-convertible-text-devel
ghc-convertible-text-prof.x86_64: W: no-documentation
ghc-convertible-text-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/convertible-text-0.3.0.6/lib
HSconvertible-text-0.3.0.6_p.a
4 packages and 0 specfiles checked; 1 errors, 7 warnings.
Comment 2 Narasimhan 2011-01-22 00:17:40 EST
An email has been sent to the author and maintainer of the convertible-text package seeking clarification of the licensing of the package and requesting a missing file to be added.
Comment 5 Narasimhan 2011-01-29 00:48:07 EST
Awaiting email confirmation from the previous author of the package regarding license change.
Comment 6 Narasimhan 2011-01-31 00:01:42 EST
Mail confirmation received from John Goerzen <jgoerzen@complete.org> and Michael Snoyman <michael@snoyman.com> confirming the license change from LGPL to BSD.
Comment 7 Narasimhan 2011-03-05 20:01:01 EST
Can you update the package with a patch containing the email from Michael? Thanks.
Comment 8 Jens Petersen 2011-06-21 21:24:28 EDT
(Just noting that object-data-json is no longer needed by authenticate.)
Comment 9 Jens Petersen 2011-10-03 20:00:51 EDT
(In reply to comment #8)
> (Just noting that object-data-json is no longer needed by authenticate.)

But data-object-yaml is needed by yesod-core anyway (and hledger-web).

http://packdeps.haskellers.com/reverse/convertible-text
Comment 10 Ben Boeckel 2012-03-03 00:42:12 EST
Spec URL: http://benboeckel.net/packaging/ghc-convertible-text/ghc-convertible-text.spec
SRPM URL: http://benboeckel.net/packaging/ghc-convertible-text/ghc-convertible-text-0.4.0.2-1.fc18.src.rpm

ghc-convertible-text.src: W: spelling-error Summary(en_US) Typeclasses -> Type classes, Type-classes, Masterclasses
ghc-convertible-text.src: W: strange-permission ghc-convertible-text.spec 0640L
ghc-convertible-text.src: W: strange-permission convertible-text-0.4.0.2.tar.gz 0640L
ghc-convertible-text.x86_64: W: spelling-error Summary(en_US) Typeclasses -> Type classes, Type-classes, Masterclasses
ghc-convertible-text-devel.x86_64: W: spelling-error Summary(en_US) Typeclasses -> Type classes, Type-classes, Masterclasses
3 packages and 0 specfiles checked; 0 errors, 5 warnings.
Comment 11 Jens Petersen 2012-04-16 01:54:36 EDT
Missing dependency on old-time:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3993339
Comment 12 Jens Petersen 2012-04-16 01:57:32 EDT
(In reply to comment #11)
> http://koji.fedoraproject.org/koji/taskinfo?taskID=3993339

Setup: At least the following dependencies are missing:
old-time >=1.0.0.2 && <1.1

Erm, sorry, I guess the old-time in ghc-7.4.1 is too new.
Maybe you can check if allowing 1.1 builds ok?
Comment 13 Narasimhan 2012-06-03 09:34:07 EDT
@Ben,
I can review this. Could you update the package as per comment 12?
Comment 14 Jens Petersen 2012-07-10 03:41:41 EDT
yesod-core-0.10 no longer needs data-object-yaml and
same for hledger-web-0.18, so I think this review can be
dropped/deferred for now.
Comment 15 Ben Boeckel 2012-07-20 22:01:31 EDT
This is marked as obsolete on Hackage. Closing.

Note You need to log in before you can comment on or make changes to this bug.